Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.report.xls
Class BoolErr

    java.lang.Object
      Biff
          jet.report.xls.Blank
              jet.report.xls.BoolErr

    public class BoolErr

extends Blank

It is a boolean cell.

Field Summary
`static byte` | `DIV0` for "#DIV/0!"
`static byte` | `NA` for "#N/A"
`static byte` | `NONENAME` for "#NAME?"
`static byte` | `NONENUM` for "#NUM!"
`static byte` | `NONEVALUE` for "#VALUE!"
`static byte` | `NULL` for"#NULL"
`static byte` | `REF` for "#REF!"

Constructor Summary
`BoolErr(int row, int col, int ixfe, byte bBoolErr, byte fError)` Constructs a BoolErr record and sets its fields appropriately.

Method Summary
`void` | `input(util.RandomAccessStream stream)` Inputs the class BoolErr from input stream.
`int` | `opcode()` Gets the opcode of the BoolErr record.
`int` | `output(util.RandomAccessStream stream)` Outputs the class BoolErr.
`void` | `setBoolValue(boolean value)` Sets the BoolValue, which can be true or false.
`void` | `setErrValue(byte value)` Sets Error value.

Methods inherited from class jet.report.xls.Blank
`getCol, getIxfe, getRow, setCol, setIxfe, setRow`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NULL

    public static final byte NULL

  for"#NULL"

  See Also:
    Constant Field Values

### DIV0

    public static final byte DIV0

  for "#DIV/0!"

  See Also:
    Constant Field Values

### NONEVALUE

    public static final byte NONEVALUE

  for "#VALUE!"

  See Also:
    Constant Field Values

### REF

    public static final byte REF

  for "#REF!"

  See Also:
    Constant Field Values

### NONENAME

    public static final byte NONENAME

  for "#NAME?"

  See Also:
    Constant Field Values

### NONENUM

    public static final byte NONENUM

  for "#NUM!"

  See Also:
    Constant Field Values

### NA

    public static final byte NA

  for "#N/A"

  See Also:
    Constant Field Values

Constructor Detail

### BoolErr

    public BoolErr(int row,
                   int col,
                   int ixfe,
                   byte bBoolErr,
                   byte fError)

  Constructs a BoolErr record and sets its fields appropriately.

  Parameters:
    `row` - the row number to locate the BoolErr(based 0)
    `col` - the column number to locate the BoolErr(based 0)
    `ixfe` - index to the `Xf` record, which you can get by invoking the method `GlobalWorksheet.getXfIndex(Xf)`
    `bBoolErr` - Boolean value or Error value.
    `fError` - Boolean/Error flag The length of the record body is 8.

Method Detail

### opcode

    public final int opcode()

  Gets the opcode of the BoolErr record.

  Overrides:
    `opcode` in class `Blank`

### setBoolValue

    public void setBoolValue(boolean value)

  Sets the BoolValue, which can be true or false. Sets the boolean value for the cell.

  Parameters:
    `value` - true or false As for method setBoolValue(boolean value) and method `setErrValue(byte)`, only the last invoked one can be used.

### setErrValue

    public void setErrValue(byte value)

  Sets Error value. `NA` `NULL` `NONENAME` `NONENUM` `NONEVALUE` `DIV0` `REF` As for method setBoolValue(boolean value) and method `setErrValue(byte)`, only the last invoked one can be used.

### output

    public int output(util.RandomAccessStream stream)
               throws java.io.IOException

  Outputs the class BoolErr.

  Overrides:
    `output` in class `Blank`
  Throws:
    `java.io.IOException`

### input

    public void input(util.RandomAccessStream stream)
               throws java.io.IOException

  Inputs the class BoolErr from input stream.

  Overrides:
    `input` in class `Blank`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD